Skip to main content
POST
/
v1
/
simulate
Simulate transaction
curl --request POST \
  --url https://api.rem.money/v1/simulate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "walletId": "<string>",
  "destination_address": "<string>",
  "amount": "<string>"
}
'
{
  "wouldSucceed": true,
  "reasons": [
    "<string>"
  ],
  "complianceChecks": {},
  "estimatedFee": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
walletId
string
required
destination_address
string
required
amount
string
required

Response

200 - application/json

Simulation results

wouldSucceed
boolean
reasons
string[]
complianceChecks
object
estimatedFee
string